events when using addEventListener on the visualizer element for example:

    const handleOnSceneLoaded = ({ scene }) => {
    };
    visualizerApp.on('sceneLoaded', handleOnSceneLoaded);

## Index

### Type aliases

- OnSceneLoading

### Events

- OnCamera
- OnContainerInjected
- OnProductChanged
- OnRendered
- OnSceneConfigurationLabelChanged
- OnSceneLoaded
- OnUserChangedProduct
- OnVisualizerLoaded
- onApplicationPointClicked
- onApplicationSelected
- onApplicationsNavigateButtonClicked
- onApplicationsStripButtonClicked
- onApplicationsStripOpened
- onAsyncOperationEnded
- onAsyncOperationStarted
- onCloseFullscreenClicked
- onFavoriteSceneClicked
- onFavoritesPanelClosed
- onFavoritesPanelOpened
- onFavoritesSceneDisplayed
- onFullscreenClicked
- onHoverHotspot
- onOrderSample
- onProductAddedToCart
- onProductAddedToFavorites
- onProductRemovedFromFavorites
- onSceneAddedToFavorites
- onSceneRemovedFromFavorites
- onSceneTouched
- onScenesPanelClosed
- onScenesPanelOpened
- onSummaryClicked

## Type aliases

### OnSceneLoading

OnSceneLoading: (eventData: { scene: IScene; sceneConfiguration: ISceneConfigurationEntityOutput }) => void

#### Type declaration

- - (eventData: { scene: IScene; sceneConfiguration: ISceneConfigurationEntityOutput }): void

  - #### Parameters

    - ##### eventData: { scene: IScene; sceneConfiguration: ISceneConfigurationEntityOutput }

      - ##### scene: IScene

      - ##### sceneConfiguration: ISceneConfigurationEntityOutput

    #### Returns void

## Events

### OnCamera

OnCamera: (eventData: { eventType: ICameraEventType }) => void

#### Type declaration

- - (eventData: { eventType: ICameraEventType }): void

  - #### Parameters

    - ##### eventData: { eventType: ICameraEventType }

      - ##### eventType: ICameraEventType

    #### Returns void

### OnContainerInjected

OnContainerInjected: (eventData: { visualizer: Visualizer }) => void

#### Type declaration

- - (eventData: { visualizer: Visualizer }): void

  - #### Parameters

    - ##### eventData: { visualizer: Visualizer }

      - ##### visualizer: Visualizer

    #### Returns void

### OnProductChanged

OnProductChanged: (eventData: { fromFavorites?: undefined | false | true; product: IProduct }) => void

#### Type declaration

- - (eventData: { fromFavorites?: undefined | false | true; product: IProduct }): void

  - #### Parameters

    - ##### eventData: { fromFavorites?: undefined | false | true; product: IProduct }

      - ##### Optional fromFavorites?: undefined | false | true

      - ##### product: IProduct

    #### Returns void

### OnRendered

OnRendered: (eventData: { hotspots: THotspotOnRender[]; visibleHotspots: THotspotOnRender[] }) => void

#### Type declaration

- - (eventData: { hotspots: THotspotOnRender[]; visibleHotspots: THotspotOnRender[] }): void

  - #### Parameters

    - ##### eventData: { hotspots: THotspotOnRender[]; visibleHotspots: THotspotOnRender[] }

      - ##### hotspots: THotspotOnRender[]

      - ##### visibleHotspots: THotspotOnRender[]

    #### Returns void

### OnSceneConfigurationLabelChanged

OnSceneConfigurationLabelChanged: () => void

#### Type declaration

- - (): void

  - #### Returns void

### OnSceneLoaded

OnSceneLoaded: (eventData: { scene: IScene | undefined }) => void

#### Type declaration

- - (eventData: { scene: IScene | undefined }): void

  - #### Parameters

    - ##### eventData: { scene: IScene | undefined }

      - ##### scene: IScene | undefined

    #### Returns void

### OnUserChangedProduct

OnUserChangedProduct: (eventData: { product: IProduct }) => void

#### Type declaration

- - (eventData: { product: IProduct }): void

  - #### Parameters

    - ##### eventData: { product: IProduct }

      - ##### product: IProduct

    #### Returns void

### OnVisualizerLoaded

OnVisualizerLoaded: (eventData: { experienceConfiguration: ISceneConfigurationEntityOutput; visualizer: Visualizer }) => void

#### Type declaration

- - (eventData: { experienceConfiguration: ISceneConfigurationEntityOutput; visualizer: Visualizer }): void

  - #### Parameters

    - ##### eventData: { experienceConfiguration: ISceneConfigurationEntityOutput; visualizer: Visualizer }

      - ##### experienceConfiguration: ISceneConfigurationEntityOutput

      - ##### visualizer: Visualizer

    #### Returns void

### onApplicationPointClicked

onApplicationPointClicked: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onApplicationSelected

onApplicationSelected: (eventData: { application: IApplication }) => void

#### Type declaration

- - (eventData: { application: IApplication }): void

  - #### Parameters

    - ##### eventData: { application: IApplication }

      - ##### application: IApplication

    #### Returns void

### onApplicationsNavigateButtonClicked

onApplicationsNavigateButtonClicked: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onApplicationsStripButtonClicked

onApplicationsStripButtonClicked: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onApplicationsStripOpened

onApplicationsStripOpened: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onAsyncOperationEnded

onAsyncOperationEnded: (eventData: { processId?: undefined | string }) => void

#### Type declaration

- - (eventData: { processId?: undefined | string }): void

  - #### Parameters

    - ##### eventData: { processId?: undefined | string }

      - ##### Optional processId?: undefined | string

    #### Returns void

### onAsyncOperationStarted

onAsyncOperationStarted: (eventData: { processId?: undefined | string; progress: { percent: number } }) => void

#### Type declaration

- - (eventData: { processId?: undefined | string; progress: { percent: number } }): void

  - #### Parameters

    - ##### eventData: { processId?: undefined | string; progress: { percent: number } }

      - ##### Optional processId?: undefined | string

      - ##### progress: { percent: number }

        - ##### percent: number

    #### Returns void

### onCloseFullscreenClicked

onCloseFullscreenClicked: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onFavoriteSceneClicked

onFavoriteSceneClicked: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onFavoritesPanelClosed

onFavoritesPanelClosed: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onFavoritesPanelOpened

onFavoritesPanelOpened: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onFavoritesSceneDisplayed

onFavoritesSceneDisplayed: (eventData: { scene: IFavoriteScene }) => void

#### Type declaration

- - (eventData: { scene: IFavoriteScene }): void

  - #### Parameters

    - ##### eventData: { scene: IFavoriteScene }

      - ##### scene: IFavoriteScene

    #### Returns void

### onFullscreenClicked

onFullscreenClicked: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onHoverHotspot

onHoverHotspot: (eventData: { hotspot: { application: string; isHover: boolean; title: string } }) => void

#### Type declaration

- - (eventData: { hotspot: { application: string; isHover: boolean; title: string } }): void

  - #### Parameters

    - ##### eventData: { hotspot: { application: string; isHover: boolean; title: string } }

      - ##### hotspot: { application: string; isHover: boolean; title: string }

        - ##### application: string

        - ##### isHover: boolean

        - ##### title: string

    #### Returns void

### onOrderSample

onOrderSample: (eventData: { product: IProduct }) => void

#### Type declaration

- - (eventData: { product: IProduct }): void

  - #### Parameters

    - ##### eventData: { product: IProduct }

      - ##### product: IProduct

    #### Returns void

### onProductAddedToCart

onProductAddedToCart: (eventData: { product: IProduct }) => void

#### Type declaration

- - (eventData: { product: IProduct }): void

  - #### Parameters

    - ##### eventData: { product: IProduct }

      - ##### product: IProduct

    #### Returns void

### onProductAddedToFavorites

onProductAddedToFavorites: (eventData: { favorites: IFavoriteProductList; product?: IProduct }) => void

#### Type declaration

- - (eventData: { favorites: IFavoriteProductList; product?: IProduct }): void

  - #### Parameters

    - ##### eventData: { favorites: IFavoriteProductList; product?: IProduct }

      - ##### favorites: IFavoriteProductList

      - ##### Optional product?: IProduct

    #### Returns void

### onProductRemovedFromFavorites

onProductRemovedFromFavorites: (eventData: { favorites: IFavoriteProductList; product: IProduct }) => void

#### Type declaration

- - (eventData: { favorites: IFavoriteProductList; product: IProduct }): void

  - #### Parameters

    - ##### eventData: { favorites: IFavoriteProductList; product: IProduct }

      - ##### favorites: IFavoriteProductList

      - ##### product: IProduct

    #### Returns void

### onSceneAddedToFavorites

onSceneAddedToFavorites: (eventData: { favoriteScenes: IFavoriteSceneList; scene?: IFavoriteScene }) => void

#### Type declaration

- - (eventData: { favoriteScenes: IFavoriteSceneList; scene?: IFavoriteScene }): void

  - #### Parameters

    - ##### eventData: { favoriteScenes: IFavoriteSceneList; scene?: IFavoriteScene }

      - ##### favoriteScenes: IFavoriteSceneList

      - ##### Optional scene?: IFavoriteScene

    #### Returns void

### onSceneRemovedFromFavorites

onSceneRemovedFromFavorites: (eventData: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene }) => void

#### Type declaration

- - (eventData: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene }): void

  - #### Parameters

    - ##### eventData: { favoriteScenes: IFavoriteSceneList; scene: IFavoriteScene }

      - ##### favoriteScenes: IFavoriteSceneList

      - ##### scene: IFavoriteScene

    #### Returns void

### onSceneTouched

onSceneTouched: (eventData: { scene: IScene }) => void

#### Type declaration

- - (eventData: { scene: IScene }): void

  - #### Parameters

    - ##### eventData: { scene: IScene }

      - ##### scene: IScene

    #### Returns void

### onScenesPanelClosed

onScenesPanelClosed: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onScenesPanelOpened

onScenesPanelOpened: () => void

#### Type declaration

- - (): void

  - #### Returns void

### onSummaryClicked

onSummaryClicked: () => void

#### Type declaration

- - (): void

  - #### Returns void

Generated using TypeDoc